[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DoExit

DoExit closes the editor and the datalink for the control.

## Declaration

Source position: dbgrids.pas line 432

`protected procedure TCustomDBGrid.DoExit; override;`

## Description

DoExit is an overridden procedure in TCustomDBGrid used to close the editor and the datalink for the control. A valid dataset must be assigned in the DataLink property and inserts must be cancellable for the dataset. The Options property must include the dgCancelOnExit enumeration value for the grid. If any of these conditions are not met, no actions are performed in the method on either the dataset or the Field editor.

DoExit calls the inherited method to perform any actions implemented in the ancestor class.

## See also

TWinControl.DoExit |  | Signals the OnExit event handler (when assigned) when the control loses focus.